﻿@model be_wise.Models.Home.HomeViewModel

@{
    ViewData["Title"] = "be wise - mądrość na wyciągniecie dłoni";
}

@section JumbotronSection
{
    <div class="jumbotron page-jumbotron">
        <div class="jumbotron-inner">
            <h1 class="ml3 jumbotron-title">be wise</h1>
            <h1 class="ml3 jumbotron-description">Mądrość w zasięgu Twojej dłoni</h1>
        </div>
    </div>
}

<div class="container-fluid">
    <!-- CATEGORIES -->
    <div style="display: flex; flex-direction: column;">
        <div style="margin-bottom:30px;">
            <h1>Kategorie</h1>
        </div>
        <div style="display: flex; flex-direction: row;">
            @foreach (var category in Model.Categories)
            {
                <div class="col-2 category-container">
                    <a asp-action="CategorisedPosts" asp-controller="Posts" asp-route-id="@category.Id" asp-route-page="1" title="@category.Title">
                        <img src="@category.ImageUrl" alt="@category.Title"/>
                        <p>@category.Title</p>
                    </a>
                </div>
            }
        </div>
    </div>
    <!-- NEWEST POSTS -->
    <div style="display: flex; flex-direction: column;">
        <div style="margin-bottom:30px;">
            <h1>Najnowsze posty</h1>
        </div>
        <div class="d-flex flex-row">
            @foreach (var post in Model.NewestPosts)
            {
                <div class="col-2 post-container">
                    <a asp-action="ShowPost" asp-controller="Posts" asp-route-id="@post.Id" title="@post.Title">
                        <img src="@post.ImageUrl" alt="@post.Title"/>
                        <p>@post.Title</p>
                    </a>
                </div>
            }
        </div>
    </div>
</div>